Subject: [bug#69587] [PATCH v2] doc: Add “Source Tree Structure” section.

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Wed, 20 Mar 2024 18:05:04 +0100

Hello, some small things to fix:

Ludovic Courtès <[email-masked]> writes:
> +The following table gives an overview of the main directories and what
> +they contain.  Remember that in Guile, each module name is derived from
> +its file name---e.g., the module in file@file{guix/packages.scm}

The file@file should be @file, I presume.

> […]
> +The directories we have seen so far all live under @file{guix/}.  The
> +other important place is the @file{gnu/} directory, which contains
> +primarily package definitions as well as libraries and tools for Guix
> +System (@pxref{System Configuration}) and Guix Home (@pxref{Home
> +Configuration}), all of which build upon functionality provided by
> +@code{(guix @dots{})} modules@footnote{For this reason, @code{(guix
> +@dots{})}  modules

The double space is inappropriate.

> must generally not depend on @code{(gnu @dots{})}
> +modules, with one notable exception:

Perhaps better mention all three exceptions, not only build-system but
also direct #:use-module in scripts like pack and to a lesser degree
import.

> +@item po
> +This is the location of translations of Guix itself, of package synopses
> +and descriptions, of the manual, and of the cookbook.  Note that
> +@file{.po} files that live here are pulled directly from Weblate
> +(@pxref{Translating Guix}).`

At the end is a stray `.

> +With all this, a fair chunk of your operating system is at your
> +fingertips!  Beyond @command{grep} and @command{git grep}, @pxref{The
> +Perfect Setup} on how to navigate code from your editor, and
> +@pxref{Using Guix Interactively} for information on how to use
> +interactively use Scheme modules.  Enjoy!

The word “use” is duplicated.

Otherwise I’m happy and it LGTM.  Thank you!

Regards,
Florian